<ion-grid *transloco="let t">
  <div class="filter-container">
    <div class="title">{{ t('feature_funfair.filter.title') }}</div>
    <ion-segment
      (ionChange)="onFilterChange($event.detail.value)"
      [(ngModel)]="selectedFilter"
      class="button-container"
      mode="ios"
    >
      <ion-segment-button
        [value]="filterType.distance"
        class="change-all-button"
        mode="ios"
      >
        {{ t('feature_funfair.filter.distance') }}
      </ion-segment-button>
      <ion-segment-button
        [value]="filterType.alphabetical"
        class="change-all-button"
        mode="ios"
      >
        {{ t('feature_funfair.filter.alphabetical') }}
      </ion-segment-button>
    </ion-segment>
  </div>
</ion-grid>
